
.modal-content{
    border-radius: rem(3);

    .modal-header{
        padding: rem(24);
        border-bottom: 0;
        border-top-left-radius: rem(3);
        border-top-right-radius: rem(3);
        flex-wrap: wrap;

        .modal-title{
            &::before{
                content:'';
                display: inline-block;
                width: 8px;
                height: 8px;
                border-radius: 4px;
                background-color: $primary600;
                vertical-align: middle;
                margin-right: rem(8);
                color: $primary900;
            }
            color: $primary900;
            font-size: rem(18);
        }
        .desc{
            flex: 0 0 100%;
            margin-top: rem(10);
            font-size: 13px;
        }
    }

    .modal-body{
        padding: 0 rem(24);
        p, div, span, a {
            &:not(.txt-primary, .tag){
                color: $black;
            }
        }

        p{
            line-height: 1.4;
        }
    }
    .modal-footer{
        padding: rem(24);
        border-top: 0;
        border-bottom-right-radius: rem(3);
        border-bottom-left-radius: rem(3);
    }

}

.modal-xl{
    --bs-modal-width : 1200px !important;
}

#filterModal{
    .modal-dialog{
        transform: none;
        left: 189px;
        width: rem(400);
        max-width: rem(400);
        margin: 0;
        top: 166px;
    }
}

#subjDeleteModal{
    .modal-dialog{
        width: rem(600);
        max-width: rem(600);
    }
}

.toast-wrap{
    margin-bottom: rem(40);
    z-index: 1100;
    border-radius: rem(3);
    background-color: #3C3E3D;

    .toast{
        width: auto;
        background: transparent;

        .toast-body{
            
            padding: rem(10) rem(16);
            background: transparent;
            color: $white;
            font-size: rem(13);
        }
    }
}


.popover{
    &#popClick{
        left: 40px !important;
        top: 40px !important;
    }

    max-width: fit-content;
    padding: rem(12);
    width: rem(320);
    border-radius: rem(2);
    background-color: #3C3E3D;
    box-shadow: none;
    border: 0;

    .popover-content{
        color: $white;
        font-size: rem(12);
    }

    &.status{
        span{
            line-height: rem(18);
            color: $white;
            &.circle-status{
                margin-left: 0;
                vertical-align: rem(-2);
            }
        }
    }

}